Loading...
Searching...
No Matches
BALL::GeometricFit::Peak_ Class Reference

`#include <BALL/DOCKING/geometricFit.h>`

## Public Member Functions

| Peak_ ()
| ~Peak_ ()
bool | operator< (const Peak_ &p) const

## Public Attributes

double | value
Vector3 | orientation
Vector3 | translation

## Detailed Description

nested class Peak_ This class is needed for an efficient handling of all peaks corresponding to one orientation in a multiset

Definition at line 182 of file geometricFit.h.

## Constructor & Destructor Documentation

## Peak_()

BALL::GeometricFit::Peak_::Peak_ | ( |  | ) |

## ~Peak_()

BALL::GeometricFit::Peak_::~Peak_ | ( |  | ) |

## Member Function Documentation

## operator<()

bool BALL::GeometricFit::Peak_::operator< | ( | const Peak_ & | p | ) | const

## Member Data Documentation

## orientation

Vector3 BALL::GeometricFit::Peak_::orientation

Definition at line 196 of file geometricFit.h.

## translation

Vector3 BALL::GeometricFit::Peak_::translation

Definition at line 197 of file geometricFit.h.

## value

double BALL::GeometricFit::Peak_::value

Definition at line 195 of file geometricFit.h.